petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFBcastAndOpEnd

end a broadcast & reduce operation started with PetscSFBcastAndOpBegin()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFBcastAndOpEnd(PetscSF sf,MPI_Datatype unit,const void *rootdata,void *leafdata,MPI_Op op)

Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| rootdata | - buffer to broadcast
| op | - operation to use for reduction

### Output Arguments

leafdata -buffer to be reduced with values from each leaf's respective root

### See Also

PetscSFSetGraph(), PetscSFReduceEnd()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html

### Implementations

PetscSFBcastAndOpEnd_Allgatherv in src/vec/is/sf/impls/basic/allgatherv/sfallgatherv.c
PetscSFBcastAndOpEnd_Basic in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFBcastAndOpEnd_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages